<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zcloud.mapper.dsno1.corp.CorpinfoRelatedMapper">

    <!--表名 -->
    <sql id="tableName">
        bus_corp_info_related
    </sql>

    <!--数据字典表名 -->
    <sql id="dicTableName">
        SYS_DICTIONARIES
    </sql>

    <!-- 字段 -->
    <sql id="Field">
        f
        .
        CORPINFO_ID
        ,
		f.AQ_BZ_LEVEL,
		f.AQ_BZ_NO,
		f.AQ_BZ_UNIT,
		f.AQ_BZ_TIME,
		f.WHETHER_HYGIENE,
		f.WHETHER_HAZARDS,
		f.WHETHER_SCARCE,
		f.WHETHER_CHEMICALS,
		f.WHETHER_SPECIALEQUIPMENT,
		f.WHETHER_SPECIALPEOPLE,
		f.WHETHER_COALGAS,
		f.WHETHER_FIRE,
		f.WHETHER_CONFINED,
		f.WHETHER_POWDER,
		f.WHETHER_LIGHTNING,
		f.WHETHER_ACTINOGEN,
		f.WHETHER_LIQUIDAMMONIA,
		f.WHETHER_PIPELINE
    </sql>

    <!-- 字段用于新增 -->
    <sql id="Field2">
        CORPINFO_ID
        ,
		AQ_BZ_LEVEL,
		AQ_BZ_NO,
		AQ_BZ_UNIT,
		AQ_BZ_TIME,
		WHETHER_HYGIENE,
		WHETHER_HAZARDS,
		WHETHER_SCARCE,
		WHETHER_CHEMICALS,
		WHETHER_SPECIALEQUIPMENT,
		WHETHER_SPECIALPEOPLE,
		WHETHER_COALGAS,
		WHETHER_FIRE,
		WHETHER_CONFINED,
		WHETHER_POWDER,
		WHETHER_LIGHTNING,
		WHETHER_ACTINOGEN,
		WHETHER_LIQUIDAMMONIA,
		WHETHER_PIPELINE
    </sql>

    <!-- 字段值 -->
    <sql id="FieldValue">
        #{CORPINFO_ID},
        #{AQ_BZ_LEVEL},
        #{AQ_BZ_NO},
        #{AQ_BZ_UNIT},
        #{AQ_BZ_TIME},
        #{WHETHER_HYGIENE},
        #{WHETHER_HAZARDS},
        #{WHETHER_SCARCE},
        #{WHETHER_CHEMICALS},
        #{WHETHER_SPECIALEQUIPMENT},
        #{WHETHER_SPECIALPEOPLE},
        #{WHETHER_COALGAS},
        #{WHETHER_FIRE},
        #{WHETHER_CONFINED},
        #{WHETHER_POWDER},
        #{WHETHER_LIGHTNING},
        #{WHETHER_ACTINOGEN},
        #{WHETHER_LIQUIDAMMONIA},
        #{WHETHER_PIPELINE}
    </sql>

    <!-- 新增-->
    <insert id="save" parameterType="pd">
        insert into
        <include refid="tableName"></include>
        (
        CORPINFO_ID
        <if test="AQ_BZ_LEVEL != null and AQ_BZ_LEVEL != ''">
            , AQ_BZ_LEVEL
        </if>
        <if test="AQ_BZ_NO != null and AQ_BZ_NO != ''">
            , AQ_BZ_NO
        </if>
        <if test="AQ_BZ_UNIT != null and AQ_BZ_UNIT != ''">
            , AQ_BZ_UNIT
        </if>
        <if test="AQ_BZ_TIME != null and AQ_BZ_TIME != ''">
            , AQ_BZ_TIME
        </if>
        <if test="WHETHER_HYGIENE != null and WHETHER_HYGIENE != ''">
            , WHETHER_HYGIENE
        </if>
        <if test="WHETHER_HAZARDS != null and WHETHER_HAZARDS != ''">
            , WHETHER_HAZARDS
        </if>
        <if test="WHETHER_SCARCE != null and WHETHER_SCARCE != ''">
            , WHETHER_SCARCE
        </if>
        <if test="WHETHER_CHEMICALS != null and WHETHER_CHEMICALS != ''">
            , WHETHER_CHEMICALS
        </if>
        <if test="WHETHER_SPECIALEQUIPMENT != null and WHETHER_SPECIALEQUIPMENT != ''">
            , WHETHER_SPECIALEQUIPMENT
        </if>
        <if test="WHETHER_SPECIALPEOPLE != null and WHETHER_SPECIALPEOPLE != ''">
            , WHETHER_SPECIALPEOPLE
        </if>
        <if test="WHETHER_COALGAS != null and WHETHER_COALGAS != ''">
            , WHETHER_COALGAS
        </if>
        <if test="WHETHER_FIRE != null and WHETHER_FIRE != ''">
            , WHETHER_FIRE
        </if>
        <if test="WHETHER_CONFINED != null and WHETHER_CONFINED != ''">
            , WHETHER_CONFINED
        </if>
        <if test="WHETHER_POWDER != null and WHETHER_POWDER != ''">
            , WHETHER_POWDER
        </if>
        <if test="WHETHER_LIGHTNING != null and WHETHER_LIGHTNING != ''">
            , WHETHER_LIGHTNING
        </if>
        <if test="WHETHER_ACTINOGEN != null and WHETHER_ACTINOGEN != ''">
            , WHETHER_ACTINOGEN
        </if>
        <if test="WHETHER_LIQUIDAMMONIA != null and WHETHER_LIQUIDAMMONIA != ''">
            , WHETHER_LIQUIDAMMONIA
        </if>
        <if test="WHETHER_PIPELINE != null and WHETHER_PIPELINE != ''">
            , WHETHER_PIPELINE
        </if>
              ,IS_MAJOR_HAZARD
              ,IS_MAJOR_HAZARD_PUSH
              ,IS_MAIN_TECHNOLO
              ,IS_MAIN_TECHNOLO_PUSH
        ) values (
        #{CORPINFO_ID}
        <if test="AQ_BZ_LEVEL != null and AQ_BZ_LEVEL != ''">
            , #{AQ_BZ_LEVEL}
        </if>
        <if test="AQ_BZ_NO != null and AQ_BZ_NO != ''">
            , AQ_BZ_NO
        </if>
        <if test="AQ_BZ_UNIT != null and AQ_BZ_UNIT != ''">
            ,#{AQ_BZ_UNIT}
        </if>
        <if test="AQ_BZ_TIME != null and AQ_BZ_TIME != ''">
            , #{AQ_BZ_TIME}
        </if>
        <if test="WHETHER_HYGIENE != null and WHETHER_HYGIENE != ''">
            , #{WHETHER_HYGIENE}
        </if>
        <if test="WHETHER_HAZARDS != null and WHETHER_HAZARDS != ''">
            , #{WHETHER_HAZARDS}
        </if>
        <if test="WHETHER_SCARCE != null and WHETHER_SCARCE != ''">
            ,#{ WHETHER_SCARCE}
        </if>
        <if test="WHETHER_CHEMICALS != null and WHETHER_CHEMICALS != ''">
            ,#{ WHETHER_CHEMICALS}
        </if>
        <if test="WHETHER_SPECIALEQUIPMENT != null and WHETHER_SPECIALEQUIPMENT != ''">
            , #{WHETHER_SPECIALEQUIPMENT}
        </if>
        <if test="WHETHER_SPECIALPEOPLE != null and WHETHER_SPECIALPEOPLE != ''">
            ,#{ WHETHER_SPECIALPEOPLE}
        </if>
        <if test="WHETHER_COALGAS != null and WHETHER_COALGAS != ''">
            , #{WHETHER_COALGAS}
        </if>
        <if test="WHETHER_FIRE != null and WHETHER_FIRE != ''">
            ,#{ WHETHER_FIRE}
        </if>
        <if test="WHETHER_CONFINED != null and WHETHER_CONFINED != ''">
            , #{WHETHER_CONFINED}
        </if>
        <if test="WHETHER_POWDER != null and WHETHER_POWDER != ''">
            , #{WHETHER_POWDER}
        </if>
        <if test="WHETHER_LIGHTNING != null and WHETHER_LIGHTNING != ''">
            , #{WHETHER_LIGHTNING}
        </if>
        <if test="WHETHER_ACTINOGEN != null and WHETHER_ACTINOGEN != ''">
            , #{WHETHER_ACTINOGEN}
        </if>
        <if test="WHETHER_LIQUIDAMMONIA != null and WHETHER_LIQUIDAMMONIA != ''">
            , #{WHETHER_LIQUIDAMMONIA}
        </if>
        <if test="WHETHER_PIPELINE != null and WHETHER_PIPELINE != ''">
            ,#{ WHETHER_PIPELINE}
        </if>
            ,0
            ,0
            ,0
            ,0
        )
    </insert>

    <!-- 删除-->
    <delete id="delete" parameterType="pd">
        update
        <include refid="tableName"></include>
        set
        ISDELETE = '1'
        where
        CORPINFO_ID = #{CORPINFO_ID}
    </delete>

    <!-- 修改 -->
    <update id="edit" parameterType="pd">
        update
        <include refid="tableName"></include>
        set
        CORPINFO_ID = #{CORPINFO_ID},
        AQ_BZ_LEVEL = #{AQ_BZ_LEVEL},
        AQ_BZ_NO = #{AQ_BZ_NO},
        AQ_BZ_UNIT = #{AQ_BZ_UNIT},
        AQ_BZ_TIME = #{AQ_BZ_TIME},
        WHETHER_HYGIENE = #{WHETHER_HYGIENE},
        WHETHER_HAZARDS = #{WHETHER_HAZARDS},
        WHETHER_SCARCE = #{WHETHER_SCARCE},
        WHETHER_CHEMICALS = #{WHETHER_CHEMICALS},
        WHETHER_SPECIALEQUIPMENT = #{WHETHER_SPECIALEQUIPMENT},
        WHETHER_SPECIALPEOPLE = #{WHETHER_SPECIALPEOPLE},
        WHETHER_COALGAS = #{WHETHER_COALGAS},
        WHETHER_FIRE = #{WHETHER_FIRE},
        WHETHER_CONFINED = #{WHETHER_CONFINED},
        WHETHER_POWDER = #{WHETHER_POWDER},
        WHETHER_LIGHTNING = #{WHETHER_LIGHTNING},
        WHETHER_ACTINOGEN = #{WHETHER_ACTINOGEN},
        WHETHER_LIQUIDAMMONIA = #{WHETHER_LIQUIDAMMONIA},
        WHETHER_PIPELINE = #{WHETHER_PIPELINE}
        where
        CORPINFO_ID = #{CORPINFO_ID}
    </update>
    <update id="updCorpType">
        UPDATE bus_corp_info_related
        SET `IS_MAJOR_HAZARD`  = #{IS_MAJOR_HAZARD},
            `IS_MAIN_TECHNOLO` = #{IS_MAIN_TECHNOLO},
            `IS_MAJOR_HAZARD_PUSH` = #{IS_MAJOR_HAZARD_PUSH},
            `IS_MAIN_TECHNOLO_PUSH` = #{IS_MAIN_TECHNOLO_PUSH},
            `IS_SPE_CORP` = #{IS_SPE_CORP},
            `IS_SPE_CORP_PUSH` = #{IS_SPE_CORP_PUSH}
        WHERE `CORPINFO_ID` = #{CORPINFO_ID}
    </update>

    <!-- 通过ID获取数据 -->
    <select id="findById" parameterType="pd" resultType="pd">
        select
        <include refid="Field"></include>
        from
        <include refid="tableName"></include>
        f
        where
        f.CORPINFO_ID = #{CORPINFO_ID}
    </select>

    <!-- 列表 -->
    <select id="datalistPage" parameterType="page" resultType="pd">
        select
        <include refid="Field"></include>
        from
        <include refid="tableName"></include>
        f
        where f.ISDELETE = '0'
        <if test="pd.KEYWORDS != null and pd.KEYWORDS != ''"><!-- 关键词检索 -->
            and
            (
            <!--	根据需求自己加检索条件
                字段1 LIKE CONCAT(CONCAT('%', #{pd.KEYWORDS}),'%')
                 or
                字段2 LIKE CONCAT(CONCAT('%', #{pd.KEYWORDS}),'%')
            -->
            )
        </if>
    </select>

    <!-- 列表(全部) -->
    <select id="listAll" parameterType="pd" resultType="pd">
        select
        <include refid="Field"></include>
        from
        <include refid="tableName"></include>
        f
    </select>

    <!-- 批量删除 -->
    <delete id="deleteAll" parameterType="String">
        update
        <include refid="tableName"></include>
        set
        ISDELETE = '1'
        where
        CORPINFO_ID in
        <foreach item="item" index="index" collection="ArrayDATA_IDS" open="(" separator="," close=")">
            #{item}
        </foreach>
    </delete>

</mapper>
